<?php

require_once( "twv_sms_lib.php" );

define("TWV_SMS_MID", "");
define("TWV_SMS_ACODE", "");

/////////////////////////////////////////////////////////////////////////////
// 傳送簡訊範例
//
if( 000 ):
  $message = "TEST ".date("His");
  $receiver_list = array( "0900222111", "0900222222" );
  $send_time = "2023-12-31 11:22:33";  // sendtime 內容空白為馬上送出.

  $send_res = TWV_SMS_Service::send_sms( TWV_SMS_Service::get_language_c(), TWV_SMS_Service::get_charset_utf8(), $message, $receiver_list, $send_time );
?>
<html>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
  <title>簡訊發送結果</title>
</head>

<body>

<?php
if( $send_res->status == 1 ) {
  print "簡訊發送結果: 發送成功<br>";
  print "特店編號: ".$send_res->mid."<br>";
  print "訊息語系: ".$send_res->language."<br>";
  print "訊息編碼: ".$send_res->charset."<br>";
  print "訊息內容: ".$send_res->message."<br>";
  print "接收門號: ".$send_res->mobiles."<br>";
  print "剩餘點數: ".$send_res->credit_left."<br>";
} else {
  print "簡訊發送失敗, 失敗原因:".$send_res->err_msg;
}
?>

</body>
</html>

<?php
  exit;
endif;

/////////////////////////////////////////////////////////////////////////////
// 簡訊點數查詢範例
//

if( 000 ):
  $send_res = TWV_SMS_Service::inquiry_credit();
?>
<html>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
  <title>簡訊點數查詢</title>
</head>

<body>

<?php
if( $send_res->status == 1 ) {
  print "查詢結果: 查詢成功<br>";
  print "剩餘點數: ".$send_res->credit_count."<br>";
} else {
  print "查詢結果: 查詢失敗<br>";
  print "失敗原因: ".$send_res->err_msg;
}
?>

</body>
</html>

<?php
  exit;
endif;

/////////////////////////////////////////////////////////////////////////////

